Package org.apache.sysds.runtime.controlprogram.federated.monitoring

# Class Request

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.Request

public class Request extends Object

## Constructor Summary

Constructors
Constructor
Description
`Request()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBody()`
`io.netty.handler.codec.http.HttpRequest`
`getContext()`
`void`
`setBody(String content)`
`void`
`setContext(io.netty.handler.codec.http.HttpRequest requestContext)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Request

public Request()

## Method Details

### getContext

public io.netty.handler.codec.http.HttpRequest getContext()

### setContext

public void setContext(io.netty.handler.codec.http.HttpRequest requestContext)

### getBody

public String getBody()

### setBody

public void setBody(String content)